8 Replies Latest reply on May 15, 2015 10:24 AM by Do_Galileo

    Installing MySQL client on Galileo with iot-dev image

    teachme

      I want to install MySQL client on Galileo Gen 2 board using iot-dev image. I would like to get python to support MySQL. I ran the command "opkg install mysql5-server  mysql5-client". However, the error returned was "Unknown package".

       

      Can someone advise? Thank you.

        • 1. Re: Installing MySQL client on Galileo with iot-dev image
          mhahn

          seems not available on iotdk/

          i.e. you'd probably have to build those packages.

          • 2. Re: Installing MySQL client on Galileo with iot-dev image
            teachme

            This is bad news. These are the things that make me want to go back to using Raspberry Pi.

            • 3. Re: Installing MySQL client on Galileo with iot-dev image
              mhahn

              arfoll could you pls add mysql (mardiadb and python-mysql) to iotdk? Recipe is on meta-oe/meta-oe/recipes-support/mysql

              • 4. Re: Installing MySQL client on Galileo with iot-dev image
                teachme

                meta-oe/meta-oe/recipes-support/mysql seems to be for building maria-db, not mysql-db.


                It seems the correct one should be gumstix-yocto/meta-openembedded/meta-oe/recipes-support at master · dirtybit/gumstix-yocto · GitHub

                But I am not sure.

                • 5. Re: Installing MySQL client on Galileo with iot-dev image
                  mhahn

                  IMHO maria-db should be compatible to mysql but has some benefits over it

                  • 6. Re: Installing MySQL client on Galileo with iot-dev image
                    Doaa

                    Hello,

                     

                    I am pretty new to Galileo and sometime it gets so frustrating, I am having problems with installing mysql;

                    here is the error I am seeing, any help will be really appreciated .


                    Thanks

                     

                    opkg install ./mysql5-server_5.1.40-r11_i586.ipk 5.1.40-r11_i586.ipk             

                    Package base-files-dbg version 3.0.14-r73 has no valid architecture, ignoring.

                    Package base-files-dev version 3.0.14-r73 has no valid architecture, ignoring.

                    Package base-files-doc version 3.0.14-r73 has no valid architecture, ignoring.

                    Package base-files version 3.0.14-r73 has no valid architecture, ignoring.

                    Package connman-conf-dbg version 1.0-r2 has no valid architecture, ignoring.

                    Package connman-conf-dev version 1.0-r2 has no valid architecture, ignoring.

                    Package depmodwrapper-cross-dbg version 1.0-r0 has no valid architecture, ignoring.

                    Package depmodwrapper-cross-dev version 1.0-r0 has no valid architecture, ignoring.

                    Package depmodwrapper-cross version 1.0-r0 has no valid architecture, ignoring.

                    Package initramfs-live-boot-dbg version 1.0-r11 has no valid architecture, ignoring.

                    Package initramfs-live-boot-dev version 1.0-r11 has no valid architecture, ignoring.

                    Package initramfs-live-boot version 1.0-r11 has no valid architecture, ignoring.

                    Package kernel-3.8.7-yocto-standard version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-dev version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-image-3.8.7-yocto-standard version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-8021q version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ad7298 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-adc1x8s102 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ansi-cprng version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-arc4 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-at24 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-bluetooth version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-bnep version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-btusb version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-can-bcm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-can-raw version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-can version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-cdc-acm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-cfg80211 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-cifs version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-crc-ccitt version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-cy8c9540a version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-des-generic version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-dns-resolver version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-e1000 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ecb version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-efi-capsule-update version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-efivars version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ehci-hcd version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ehci-pci version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-evdev version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-fscache version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ftdi-sio version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-g-ether version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-g-mass-storage version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-g-serial version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-g-zero version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-garp version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-gpio-pca953x version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-gpio-sch version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-gspca-main version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-gspca-pac207 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-hci-vhci version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-hidp version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-hmac version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-i2c-dev version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-iio-trig-hrtimer version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-iio-trig-sysfs version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-industrialio-triggered-buffer version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-industrialio version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-intel-mid-dma version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-intel-qrk-audio-ctrl version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-intel-qrk-gip-test version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-intel-qrk-gip version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-intel-quark-uart version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ipv6 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-iwldvm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-iwlwifi version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-kfifo-buf version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-led-class version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-libcomposite version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-lis331dlh-intel-qrk version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-llc version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-m25p80 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mac80211 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-max78m6610-lmu version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-md4 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-md5 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mmc-block version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mmc-core version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mtd-blkdevs version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mtdblock version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-mtdchar version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ohci-hcd version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-p8022 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-pca9685 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-pch-udc version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-pl2303 version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ppp-async version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ppp-deflate version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ppp-generic version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-pps-core version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-psnap version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ptp-pch version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-ptp version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-regmap-i2c version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rfcomm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rfkill version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rt2800lib version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rt2800usb version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rt2x00lib version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rt2x00usb version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rtl8192c-common version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rtl8192cu version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-rtlwifi version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-sdhci-pci version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-sdhci-pltfm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-sdhci version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-sha256-generic version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-slcan version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-slhc version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-hwdep version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-page-alloc version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-pcm version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-rawmidi version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-timer version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-usb-audio version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd-usbmidi-lib version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-snd version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-soundcore version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-spi-pxa2xx-pci version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-spi-pxa2xx version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-spidev version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-st-sensors-i2c version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-st-sensors-spi version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-st-sensors version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-stmmac version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-stp version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-udc-core version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-uhci-hcd version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-uio version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-usb-common version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-usb-storage version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-usbcore version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-usbhid version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-usbserial version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-uvcvideo version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-v4l2-common version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-v4l2-int-device version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-vcan version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-videobuf2-core version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-videobuf2-memops version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-videobuf2-vmalloc version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-videodev version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-xfrm6-mode-beet version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-xfrm6-mode-transport version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-xfrm6-mode-tunnel version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-module-zlib-deflate version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-modules version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel-vmlinux version 3.8-r0 has no valid architecture, ignoring.

                    Package kernel version 3.8-r0 has no valid architecture, ignoring.

                    Package opkg-config-base-dbg version 1.0-r1 has no valid architecture, ignoring.

                    Package opkg-config-base-dev version 1.0-r1 has no valid architecture, ignoring.

                    Package opkg-config-base version 1.0-r1 has no valid architecture, ignoring.

                    Package packagegroup-core-boot-dbg version 1.0-r11 has no valid architecture, ignoring.

                    Package packagegroup-core-boot-dev version 1.0-r11 has no valid architecture, ignoring.

                    Package packagegroup-core-boot version 1.0-r11 has no valid architecture, ignoring.

                    Package pointercal-dbg version 0.0-r11 has no valid architecture, ignoring.

                    Package pointercal-dev version 0.0-r11 has no valid architecture, ignoring.

                    Package pointercal version 0.0-r11 has no valid architecture, ignoring.

                    Package poky-feed-config-opkg-dbg version 1.0-r2 has no valid architecture, ignoring.

                    Package poky-feed-config-opkg-dev version 1.0-r2 has no valid architecture, ignoring.

                    Package poky-feed-config-opkg version 1.0-r2 has no valid architecture, ignoring.

                    Package shadow-securetty-dbg version 4.1.4.3-r2 has no valid architecture, ignoring.

                    Package shadow-securetty-dev version 4.1.4.3-r2 has no valid architecture, ignoring.

                    Package shadow-securetty version 4.1.4.3-r2 has no valid architecture, ignoring.

                    Package sysvinit-inittab-dbg version 2.88dsf-r9 has no valid architecture, ignoring.

                    Package sysvinit-inittab-dev version 2.88dsf-r9 has no valid architecture, ignoring.

                    Package sysvinit-inittab version 2.88dsf-r9 has no valid architecture, ignoring.

                    Installing mysql5-server (5.1.40-r11) to root...

                    Installing libmysqlclient16 (5.1.40-r11) to root...

                    Downloading http://repo.opkg.net/galileo/repo/i586/libmysqlclient16_5.1.40-r11_i586.ipk.

                    Installing libpthread0 (0.9.33+git0+946799cd0ce0c6c803c9cb173a84f4d607bde350-r8.4) to root...

                    Downloading http://repo.opkg.net/galileo/repo/i586/libpthread0_0.9.33+git0+946799cd0ce0c6c803c9cb173a84f4d607bde350-r8.4_i586.ipk.

                    Collected errors:

                    * check_data_file_clashes: Package libpthread0 wants to install file /lib/libpthread.so.0

                            But that file is already provided by package  * libc6

                    * opkg_install_cmd: Cannot install package mysql5-server.

                    root@galileo:~#

                    • 7. Re: Installing MySQL client on Galileo with iot-dev image
                      mhahn

                      Looks like a mismatch between your SD card image version and the version the repository is set up for

                      • which SD card image do you have on your system?
                      • which repository have you set in /etc/opkg/....?
                      • 8. Re: Installing MySQL client on Galileo with iot-dev image
                        Do_Galileo

                        I am using the "iot-devkit-latest-mmcblkp0.direct" image but I don't know what repo I should install to get MySQL server ?

                         

                        Thanks for the help